[PC-BSD Commits] r4863 - in pcbsd/trunk/pc-sysinstall: . backend conf examples
svn at pcbsd.org
svn at pcbsd.org
Wed Nov 4 07:38:39 PST 2009
Author: kris
Date: 2009-11-04 07:38:39 -0800 (Wed, 04 Nov 2009)
New Revision: 4863
Added:
pcbsd/trunk/pc-sysinstall/examples/pcinstall.cfg.upgrade
Modified:
pcbsd/trunk/pc-sysinstall/backend/functions-extractimage.sh
pcbsd/trunk/pc-sysinstall/backend/functions-newfs.sh
pcbsd/trunk/pc-sysinstall/backend/parseconfig.sh
pcbsd/trunk/pc-sysinstall/conf/sample-install.cfg
pcbsd/trunk/pc-sysinstall/pcinstall.cfg
Log:
Updated pc-sysinstall, improved extraction via uzip file-systems, works on upgrades now
Modified: pcbsd/trunk/pc-sysinstall/backend/functions-extractimage.sh
===================================================================
--- pcbsd/trunk/pc-sysinstall/backend/functions-extractimage.sh 2009-11-04 14:58:20 UTC (rev 4862)
+++ pcbsd/trunk/pc-sysinstall/backend/functions-extractimage.sh 2009-11-04 15:38:39 UTC (rev 4863)
@@ -7,6 +7,12 @@
# Performs the extraction of data to disk from DVD
start_extract_dvd()
{
+ if [ -z "$INSFILE" ]
+ then
+ exit_err "ERROR: Called extaction with no install file set!"
+ fi
+
+
# Check if we are doing an upgrade, and if so use our exclude list
if [ "${INSTALLMODE}" = "upgrade" ]
then
@@ -16,7 +22,7 @@
fi
case ${PACKAGETYPE} in
- lzma) echo_log "Starting image extraction..."
+ rsync) echo_log "Starting image extraction..."
${LZMA_CMD} ${CDMNT}/${INSFILE} 2>/dev/null | tar -xpvf - -C ${FSMNT} ${TAROPTS} >&1 2>&1
if [ "$?" != "0" ]
then
@@ -34,7 +40,11 @@
cd ${FSMNT}.uzip
# Copy over all the files now!
- find . -print -depth | cpio -dump -v ${FSMNT} >&1 2>&1
+ tar cvf - . 2>/dev/null | tar -xpv -C ${FSMNT} ${TAROPTS} -f - >&1 2>&1
+ if [ "$?" != "0" ]
+ then
+ exit_err "ERROR: Failed extracting the tar image"
+ fi
# All finished, now lets umount and cleanup
cd /
@@ -57,7 +67,7 @@
# Figure out what file we are using to install from via the config
get_value_from_cfg installFile
- if [ -z "${VAL}" ]
+ if [ ! -z "${VAL}" ]
then
INSFILE="${VAL}" ; export INSFILE
else
@@ -65,13 +75,11 @@
if [ "$INSTALLTYPE" = "FreeBSD" ]
then
case $PACKAGETYPE in
- lzma) INSFILE="${FBSD_LZMA_FILE}" ;;
uzip) INSFILE="${FBSD_UZIP_FILE}" ;;
tar) INSFILE="${FBSD_TAR_FILE}" ;;
esac
else
case $PACKAGETYPE in
- lzma) INSFILE="${LZMA_FILE}" ;;
uzip) INSFILE="${UZIP_FILE}" ;;
tar) INSFILE="${TAR_FILE}" ;;
esac
Modified: pcbsd/trunk/pc-sysinstall/backend/functions-newfs.sh
===================================================================
--- pcbsd/trunk/pc-sysinstall/backend/functions-newfs.sh 2009-11-04 14:58:20 UTC (rev 4862)
+++ pcbsd/trunk/pc-sysinstall/backend/functions-newfs.sh 2009-11-04 15:38:39 UTC (rev 4863)
@@ -69,12 +69,15 @@
case ${PARTFS} in
UFS) echo_log "NEWFS: /dev/${PART} - ${PARTFS}"
+ sleep 2
rc_halt "newfs /dev/${PART}${EXT}"
;;
UFS+S) echo_log "NEWFS: /dev/${PART} - ${PARTFS}"
+ sleep 2
rc_halt "newfs -U /dev/${PART}${EXT}"
;;
UFS+J) echo_log "NEWFS: /dev/${PART} - ${PARTFS}"
+ sleep 2
rc_halt "newfs /dev/${PART}${EXT}"
sleep 2
rc_halt "gjournal label -f /dev/${PART}${EXT}"
Modified: pcbsd/trunk/pc-sysinstall/backend/parseconfig.sh
===================================================================
--- pcbsd/trunk/pc-sysinstall/backend/parseconfig.sh 2009-11-04 14:58:20 UTC (rev 4862)
+++ pcbsd/trunk/pc-sysinstall/backend/parseconfig.sh 2009-11-04 15:38:39 UTC (rev 4863)
@@ -42,7 +42,7 @@
# We passed the Sanity check, lets grab some of the universal config settings and store them
check_value installMode "fresh upgrade"
check_value bootManager "bsd none"
-check_value installType "PCBSD-Desktop PCBSD-Desktop-OEM PCBSD-Server FreeBSD"
+check_value installType "PCBSD FreeBSD"
check_value installMedium "dvd usb ftp"
check_value packageType "lzma uzip tar"
check_value partition "all s1 s2 s3 s4 free"
Modified: pcbsd/trunk/pc-sysinstall/conf/sample-install.cfg
===================================================================
--- pcbsd/trunk/pc-sysinstall/conf/sample-install.cfg 2009-11-04 14:58:20 UTC (rev 4862)
+++ pcbsd/trunk/pc-sysinstall/conf/sample-install.cfg 2009-11-04 15:38:39 UTC (rev 4863)
@@ -52,9 +52,7 @@
#ftpPath=ftp://ftp.pcbsd.org/test
# Set the type of system we are installing, PC-BSD* or FreeBSD
-installType=PCBSD-Desktop
-#installType=PCBSD-Desktop-OEM
-#installType=PCBSD-Server
+installType=PCBSD
#installType=FreeBSD
# Set the optional components to install
Modified: pcbsd/trunk/pc-sysinstall/pcinstall.cfg
===================================================================
--- pcbsd/trunk/pc-sysinstall/pcinstall.cfg 2009-11-04 14:58:20 UTC (rev 4862)
+++ pcbsd/trunk/pc-sysinstall/pcinstall.cfg 2009-11-04 15:38:39 UTC (rev 4863)
@@ -1,28 +1,51 @@
# Sample configuration file for an installation using pc-sysinstall
-installMode=upgrade
-installInteractive=no
-hostname=freebsd8
+installMode=fresh
+installInteractive=yes
+hostname=pcbsd8
# Set the disk parameters
-disk0=ad1
-partition=s1
+disk0=ad0
+partition=all
bootManager=none
commitDiskPart
+# Setup the disk label
+# All sizes are expressed in MB
+# Avail FS Types, UFS, UFS+S, UFS+J, ZFS, SWAP
+disk0-part=UFS 500 /
+disk0-part=SWAP 2000 none
+disk0-part=UFS 0 /usr
+# Size 0 means use the rest of the slice size
+# Do it now!
+commitDiskLabel
+
+
# Set if we are installing via optical, USB, or FTP
-installType=FreeBSD
+installType=PCBSD
installMedium=dvd
-installFile=freebsd-release.tbz
#packageType=lzma
-#packageType=uzip
-packageType=tar
+packageType=uzip
+#packageType=tar
#installComponents=ports,src
commitInstall
#autoLoginUser=kris
+# Set the root pass
+rootPass=root
+
+# Setup our users
+userName=kris
+userComment=Kris Moore
+userPass=kris
+userShell=/bin/csh
+userHome=/home/kris
+userGroups=wheel,operator
+commitUser
+
+
# Options for localizing an install
localizeLang="ru"
localizeKeyLayout="ru"
More information about the Commits
mailing list